checkRequire("Lua_WildBossPanel"); -- 世界BOSS
checkRequire("Lua_HuangLingBossPanel"); -- BOSS之家
checkRequire("Lua_PersonalBossPanel"); -- 個人BOSS
checkRequire("Lua_TimeLimitBossPanel"); -- 幽冥鬼窟
checkRequire("Lua_IsleBossPanel"); -- 神獸島
checkRequire("Lua_BossDropRecordPanel"); -- 掉落記錄
Lua_BossMainWindow = class("Lua_BossMainWindow", Lua_FullSizeTabLeftWindow);
function Lua_BossMainWindow:ctor()
	local list = Array();
	list:add({name = LanUtil.getValue(121600), panel = Lua_WildBossPanel, titleAltas = "titleName_altas_1", titleSprite = "tzBOSS", txtFontSize = 30});
	list:add({name = LanUtil.getValue(121601), panel = Lua_HuangLingBossPanel, openId = 10047, titleAltas = "titleName_altas_1", titleSprite = "tzBOSS", txtFontSize = 30});
	list:add({name = LanUtil.getValue(121602), panel = Lua_PersonalBossPanel, openId = 10046, eventIds = {13002,13003}, clickRemoveEvent = {13002}, titleAltas = "titleName_altas_1", titleSprite = "tzBOSS", txtFontSize = 30});
	list:add({name = LanUtil.getValue(121603), panel = Lua_TimeLimitBossPanel, openId = 10048, titleAltas = "titleName_altas_1", titleSprite = "tzBOSS", txtFontSize = 30});
	list:add({name = LanUtil.getValue(121653), panel = Lua_IsleBossPanel, openId = 10111, titleAltas = "titleName_altas_1", titleSprite = "tzBOSS", txtFontSize = 30});
	list:add({name = LanUtil.getValue(121604), panel = Lua_BossDropRecordPanel, titleAltas = "titleName_altas_1", titleSprite = "tzBOSS", txtFontSize = 30});

	self:superCall("ctor", list);
	self.windowName = "Lua_BossMainWindow";
end

function Lua_BossMainWindow:buildPanel(go)
	self:superCall("buildPanel", go);

	self.btnList:setRedDotPos(95, 3);
	self.btnList:setSelected(1, true);

	self.btnListBg = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_widget_001", -500, -30, 250, 600);
	self.btnListBg.name = "btnListBg";
	self.btnListBg:setDepth(1);

	self:addLuaEvent("BOSS_ENTER_BOSS_SCENE", self, self.hide);
	self:addLuaEvent("SCENE_CHANGE", self, self.hide);
end

function Lua_BossMainWindow:dispose()
	if self.btnListBg ~= nil then
		self.btnListBg:dispose();
		self.btnListBg = nil;
	end

	self:superCall("dispose");
end