-- 个人boss左侧信息栏面板
checkRequire("Lua_PersonalBossCopyInfoItem");
checkRequire("Lua_LeftInfoBaseWindow");
Lua_PersonalBossCopyInfoWindow = class("Lua_PersonalBossCopyInfoWindow", Lua_LeftInfoBaseWindow);
function Lua_PersonalBossCopyInfoWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_PersonalBossCopyInfoWindow";
    self.skinName = "PersonalBossCopyInfoWindow_skin";
end

function Lua_PersonalBossCopyInfoWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.bg.clickScale = false;
	self.titleBg.clickScale = false;
	self.bg:addClickFuntion(self, self.onBgClick);
	self.titleBg:addClickFuntion(self, self.onBgClick);

	self.infoItem =  Lua_PersonalBossCopyInfoItem.new(self.content);

	Lua_MsgUtil.callFunc("SET_MAIN_MENU", 2);
	
	self:addLuaEvent("BOSS_COPY_SCENE_INFO_UPDATE", self, self.onBossCopySceneInfoUpdate);
	self:addLuaEvent("MENU_OUT_CLICK", self, self.onMenuOutClick);
	
	local sceneData = Lua_SceneConfigData.getSceneConfig(DataCenter.roleData.sceneId);
	if sceneData ~= nil then
		self.titleTxt.text = sceneData.name;
	end
	-- self.titleTxt.text = LanUtil.getValue(121648);
end

function Lua_PersonalBossCopyInfoWindow:showWin(msg)
	-- Proto80403903
	self.infoItem:setData(msg);
end

function Lua_PersonalBossCopyInfoWindow:onBossCopySceneInfoUpdate(msg)
	-- Proto80403903
	self.infoItem:setData(msg);
end

function Lua_PersonalBossCopyInfoWindow:onMenuOutClick(o)
	Lua_WindowUtil.openWin("Lua_TipsWindow", nil, {owner = self, des = LanUtil.getValue(121635), type = 1, subFun = self.onOutClick});
end

function Lua_PersonalBossCopyInfoWindow:onOutClick(val)
	sendMsg(10400902);
end