Lua_ShowAdviceTipsWindow = class("Lua_ShowAdviceTipsWindow", Lua_Window);
function Lua_ShowAdviceTipsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ShowAdviceTipsWindow";
	self.showBg = false;
	self.blackAlpha = 1 / 255;
	self.showClose = false;
	self.isClickClose = true;
end

function Lua_ShowAdviceTipsWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.winBg = UICreate.createUIAtlasImage(self.content, "common_atlas_1", self.bgSprite, -135, 100, 270, 180);
	self.winBg.name = "winBg";
	self.winBg.clickScale = false;
	self.winBg.pivot = UIWidget.Pivot.TopLeft;
	self.winBg:setDepth(0);
	self.winBg:addClickFuntion(self, self.onBgClick);

	self.desLab = UICreate.createLabel(self.content, "", -115, 80, 230, 0, 20);
	self.desLab.name = "desLab";
	self.desLab.spacingY = 8;
	self.desLab.pivot = UIWidget.Pivot.TopLeft;
	self.desLab.overflowMethod = UILabel.Overflow.ResizeHeight;
	self.desLab:setDepth(1);
end

function Lua_ShowAdviceTipsWindow:showWin(param)
	LuaUtil.setObjPos(self.content, 100, 110, 0);
	self.desLab.text = param;
end

function Lua_ShowAdviceTipsWindow:dispose()
	if self.desLab ~= nil then
		self.desLab:dispose();
		self.desLab = nil;
	end

	self:superCall("dispose");
end