-- 个人BOSS战斗结算
checkRequire("Lua_FightingResultBaseWindow");
checkRequire("Lua_CopyResultWinItem");
checkRequire("Lua_CopyResultFailItem");
Lua_BossCopyResultPanel= class("Lua_BossCopyResultPanel", Lua_FightingResultBaseWindow);
function Lua_BossCopyResultPanel:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_BossCopyResultPanel";
	
	self.winTitleAtlas = "ui_zhujiemian_z_tzcg"; -- 挑战成功
	self.tieTitleAtlas = "ui_zhujiemian_z_tzsb"; -- 挑战失败
	self.failTitleAtlas = "ui_zhujiemian_z_tzsb"; -- 挑战失败
end

function Lua_BossCopyResultPanel:buildShowItem()
	self:superCall("buildShowItem");

	local brs = DataCenter.bossData.bossCopyRsVo;
	local bWin = brs.ret == 1 and 1 or -1;
	self:setShowInfo(bWin, brs.leftTime);
	
	if brs.ret == 1 then
		self.winItem = Lua_CopyResultWinItem.new(self.content);
		local items = Array();
		for k,v in ipairs(brs.itemSet) do
			items:add(v);
		end
		self.winItem:updateItem(items);
		self.winItem:updateMoney(brs.money);
		self.winItem:updateExp(brs.exp);
	else
		self.failItem = Lua_CopyResultFailItem.new(self.content);
		if brs.killer ~= "" and brs.killer ~= nil then
			self.failItem:setShowKiller(brs.killer);
		end
	end
end

function Lua_BossCopyResultPanel:onBackBtnClick(go)
	sendMsg(10400902);
	self:superCall("onBackBtnClick", go);	
end