checkRequire("Lua_IsleBossPanel"); -- 神獸島(跨服)
checkRequire("Lua_ChaoticBossPanel"); -- 混沌戰場
checkRequire("Lua_PrimitiveBossPanel"); -- 洪荒仙境
checkRequire("Lua_BossDropRecordPanel"); -- 掉落記錄
Lua_MultipleServersWindow = class("Lua_MultipleServersWindow", Lua_FullSizeTabLeftWindow)
function Lua_MultipleServersWindow:ctor()
	local list = Array();
	list:add({name = LanUtil.getValue(121668), panel = Lua_IsleBossPanel, openId = 10140, titleAltas = "titleName_altas_1", titleSprite = "shikongzhanchang"});
	list:add({name = LanUtil.getValue(128631), panel = Lua_ChaoticBossPanel, openId = 10162, titleAltas = "titleName_altas_1", titleSprite = "shikongzhanchang"});
	list:add({name = LanUtil.getValue(140100), panel = Lua_PrimitiveBossPanel,openId = 10183, titleAltas = "titleName_altas_1", titleSprite = "shikongzhanchang"});
	list:add({name = LanUtil.getValue(121604), panel = Lua_BossDropRecordPanel, titleAltas = "titleName_altas_1", titleSprite = "shikongzhanchang"});

	self:superCall("ctor", list);
	self.windowName = "Lua_MultipleServersWindow";
end 

function Lua_MultipleServersWindow:buildPanel(go)
	self:superCall("buildPanel", go);

	self.btnList:setRedDotPos(95, 3);

	self.btnListBg = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_widget_001", -500, -30, 250, 600);
	self.btnListBg.name = "btnListBg";
	self.btnListBg:setDepth(1);

	self:addLuaEvent("BOSS_ENTER_BOSS_SCENE", self, self.hide);
	self:addLuaEvent("SCENE_CHANGE", self, self.hide);
end

function Lua_MultipleServersWindow:dispose()
	if self.btnListBg ~= nil then
		self.btnListBg:dispose();
		self.btnListBg = nil;
	end
	self:superCall("dispose");
end